%define pkg_name        CGI-Ajax
%define pkg_version     0.701
%define rpm_pkg_version 0.70_1
%define rpm_pkg_release 1.n0i.17

Summary:       Export perl methods to javascript for AJAX
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BC/BCT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%if %{!?_without_test:1}0
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Test::Simple) >= 0.44
BuildRequires: perl(CGI)
%endif


%description
CGI::Ajax is an object-oriented module that provides a unique mechanism
for using perl code asynchronously from javascript-enhanced web pages.
You would commonly use CGI::Ajax in AJAX/DHTML-based web applications.
CGI::Ajax unburdens the user from having to write any javascript, except
for having to associate an exported method with a document-defined event
(such as onClick, onKeyUp, etc). Only in the more advanced implementations
of a exported perl method would a user need to write any javascript.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path scripts/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README Todo scripts/


%changelog
* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 0.70_1-1.n0i.17.0.701
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.701

* Wed May 24 2006 Marius Feraru <altblue@n0i.net> - 0.69_5-1.n0i.16.0.695
- version 0.695

* Sat Apr 01 2006 Marius Feraru <altblue@n0i.net> - 0.69_4-1.n0i.15.0.694
- version 0.694

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 0.69_2-1.n0i.14.0.692
- version 0.692

* Fri Mar 03 2006 Marius Feraru <altblue@n0i.net> - 0.69_1-1.n0i.13.0.691
- version 0.691

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.68_4-1.n0i.12.0.684
- version 0.684

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 0.68_1-1.n0i.11.0.681
- version 0.681

* Fri Nov 04 2005 Marius Feraru <altblue@n0i.net> 0.65_2-1.n0i.10.0.652
- version 0.652

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 0.65_1-1.n0i.9.0.651
- version 0.651

* Wed Oct 12 2005 Marius Feraru <altblue@n0i.net> 0.59_1-1.n0i.8.0.591
- version 0.591

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 0.52-1.n0i.7
- version 0.52

* Sat Sep 24 2005 Marius Feraru <altblue@n0i.net> 0.43-1.n0i.6
- version 0.43

* Fri Sep 16 2005 Marius Feraru <altblue@n0i.net> 0.38-1.n0i.5
- version 0.38

* Tue Sep 13 2005 Marius FERARU <altblue@n0i.net> 0.37-1.n0i.4
- version 0.37
- changed name to perl-CGI-Ajax following author's decision

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 0.20-1.n0i.3
- version 0.20

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 0.16-1.n0i.2
- version 0.16

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 0.15-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
- using the 0.15h released distro
